Subject: RE: Problem with fsetpos
From: [email-masked]

22 Nov 1997 02:40:59 -0800
Message-ID: <[email-masked]>
To: [email-masked]
Cc: [email-masked], [email-masked]

Hi Fred, you wrote:

: I have discovered that fsetpos with values of offset greater than ~ 2000L
: misses the corrrect value.  The
: error is 16 at 2000 and 179 at 10000.  I am running WindowsNT 4.0
: Workstation, with Service Patch 3.
: I am running b18.

I bet you are using a text (not binary) mount, and you are missing CRs.
I guess you want calculate position using line size, but IIRC it is only
portable to use fsetpos on values previously obtained from fgetpos
(directly, on the same platform, not stored in an index file and copied).
Same applies to seek/tell.

Bye, Heribert ([email-masked])
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".